/**
 * @PROJECT			Kagera uHTTP Daemon
 * @COPYRIGHT		See COPYING in the top level directory
 * @FILE			dateparse.h
 * @PURPOSE			Parses string dates into internal form
 * @DEVELOPERS		Rafal Kupiec <belliash@asiotec.eu.org>
 *					Jef Poskanzer <jef@acme.com>
 */

#ifndef __DATEPARSE_H
#define __DATEPARSE_H

struct strlong {
	char* s;
	long l;
};

extern time_t dateparse(char* str);
static int is_leap(int year);
static void pound_case(char* str);
static int scan_mon(char* str_mon, long* tm_monP);
static int scan_wday(char* str_wday, long* tm_wdayP);
static int strlong_compare(char *v1, char *v2);
static int strlong_search(char* str, struct strlong* tab, int n, long* lP);
static time_t tm_to_time(struct tm* tmP);

#endif
